<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:23:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DepPlanUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DepPlanUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DepPlanUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DeployConstants.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html" target="_top">Frames</a></li>
<li><a href="DepPlanUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.deployment.tools</div>
<h2 title="Class DepPlanUtils" class="title">Class DepPlanUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.deployment.tools.DepPlanUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">DepPlanUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#DepPlanUtils--">DepPlanUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#autoChooseImplementation-org.eclipse.uml2.uml.Classifier-">autoChooseImplementation</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;componentType)</code>
<div class="block">Automatically choose an implementation, i.e.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureEnumProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-java.lang.String-">configureEnumProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                     org.eclipse.uml2.uml.Property&nbsp;attribute,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;literalName)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureEnumProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-java.lang.String-">configureEnumProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;literalName)</code>
<div class="block">Configure a property for an enumeration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-org.eclipse.emf.common.util.Enumerator-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                 org.eclipse.emf.common.util.Enumerator&nbsp;value)</code>
<div class="block">Convenience function: allow that an ECore named element is passed instead of a property name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-int-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                 int&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-java.lang.String-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-int-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 org.eclipse.uml2.uml.Property&nbsp;attribute,
                 int&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-java.lang.String-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 org.eclipse.uml2.uml.Property&nbsp;attribute,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-org.eclipse.emf.common.util.Enumerator-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                 org.eclipse.emf.common.util.Enumerator&nbsp;value)</code>
<div class="block">Configure a property for an enumeration.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-int-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                 int&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-java.lang.String-">configureProperty</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Configure an attribute of an instance specification</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Slot</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#createSlot-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-">createSlot</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp,
          org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
          org.eclipse.uml2.uml.InstanceSpecification&nbsp;partIS,
          org.eclipse.uml2.uml.Property&nbsp;part)</code>
<div class="block">create a slot for a given sub-instance specification.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#delDepPlan-org.eclipse.uml2.uml.InstanceSpecification-">delDepPlan</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Package&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#getAllDepPlans-org.eclipse.uml2.uml.Element-">getAllDepPlans</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block">Return all deployment plans</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#getDepPlanRoot-org.eclipse.uml2.uml.Element-">getDepPlanRoot</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block">Return the package in which deployment plans are stored.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#getInstance-org.eclipse.uml2.uml.Slot-">getInstance</a></span>(org.eclipse.uml2.uml.Slot&nbsp;slot)</code>
<div class="block">Return the instance that is defined by a slot value</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#updateInstanceNames-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">updateInstanceNames</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Update the names of instances within a deployment plan to correspond to changes
 in the hierarchy.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DepPlanUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DepPlanUtils</h4>
<pre>public&nbsp;DepPlanUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDepPlanRoot-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepPlanRoot</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Package&nbsp;getDepPlanRoot(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block">Return the package in which deployment plans are stored. Caveat: needs to be executed within a
 transition, since the deployment plan package will be created, if it does not exist yet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - an arbitrary element of the source model (i.e. the model that will
            store the deployment plan</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>package in which deployment plans are stored</dd>
</dl>
</li>
</ul>
<a name="getAllDepPlans-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllDepPlans</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Package&gt;&nbsp;getAllDepPlans(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block">Return all deployment plans</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - an arbitrary element of the source model (i.e. the model that will
            store the deployment plan</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="delDepPlan-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delDepPlan</h4>
<pre>public static&nbsp;void&nbsp;delDepPlan(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
</li>
</ul>
<a name="getInstance-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getInstance(org.eclipse.uml2.uml.Slot&nbsp;slot)</pre>
<div class="block">Return the instance that is defined by a slot value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first slot that corresponds to an instance specification</dd>
</dl>
</li>
</ul>
<a name="createSlot-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSlot</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Slot&nbsp;createSlot(org.eclipse.uml2.uml.Package&nbsp;cdp,
                                                   org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
                                                   org.eclipse.uml2.uml.InstanceSpecification&nbsp;partIS,
                                                   org.eclipse.uml2.uml.Property&nbsp;part)</pre>
<div class="block">create a slot for a given sub-instance specification.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cdp</code> - a deployment plan</dd>
<dd><code>is</code> - an instance specification for a composite class</dd>
<dd><code>partIS</code> - the instance specification of a part within the composite</dd>
<dd><code>part</code> - the part within the composite</dd>
</dl>
</li>
</ul>
<a name="autoChooseImplementation-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>autoChooseImplementation</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;autoChooseImplementation(org.eclipse.uml2.uml.Classifier&nbsp;componentType)</pre>
<div class="block">Automatically choose an implementation, i.e. choose the first implementation
 within the component model that implements a given component type.</div>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>property</code> - An ENamedElement denoting the name of an attribute of a classifier that
            is in the classifier list of the instance specification</dd>
<dd><code>value</code> - the string value. An enumeration can be configured via the name of the literal</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>propertyName</code> - the name of an attribute of a classifier that is in the classifier list
            of the instance specification</dd>
<dd><code>value</code> - the string value. An enumeration can be configured via the name of the literal</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     org.eclipse.uml2.uml.Property&nbsp;attribute,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>attribute</code> - an attribute of a classifier that is in the classifier list of the instance specification</dd>
<dd><code>value</code> - the string value. An enumeration can be configured via the name of the literal</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                                     int&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>property</code> - An ENamedElement denoting the name of an attribute of a classifier that
            is in the classifier list of the instance specification</dd>
<dd><code>value</code> - the integer value.</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                                     int&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>propertyName</code> - the name of an attribute of a classifier that is in the classifier list
            of the instance specification</dd>
<dd><code>value</code> - the integer value.</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     org.eclipse.uml2.uml.Property&nbsp;attribute,
                                     int&nbsp;value)</pre>
<div class="block">Configure an attribute of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance specification</dd>
<dd><code>attribute</code> - an attribute of a classifier that is in the classifier list of the instance specification</dd>
<dd><code>value</code> - the integer value.</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.emf.ecore.ENamedElement-org.eclipse.emf.common.util.Enumerator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     org.eclipse.emf.ecore.ENamedElement&nbsp;property,
                                     org.eclipse.emf.common.util.Enumerator&nbsp;value)</pre>
<div class="block">Convenience function: allow that an ECore named element is passed instead of a property name. This is useful if the
 parameter that should be configured stems from a static profile</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - The instance of which an attribute should be configured.</dd>
<dd><code>property</code> - The name of the property (denoted by an ENamedElement) that should be configured</dd>
<dd><code>value</code> - its value in form of an element of an ECore enumerator value</dd>
</dl>
</li>
</ul>
<a name="configureProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-org.eclipse.emf.common.util.Enumerator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureProperty</h4>
<pre>public static&nbsp;void&nbsp;configureProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                                     org.eclipse.emf.common.util.Enumerator&nbsp;value)</pre>
<div class="block">Configure a property for an enumeration. Enumerations are a bit difficult to handle, since the enumeration literal itself
 must be created first in form of an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - The instance of which an attribute should be configured.</dd>
<dd><code>propertyName</code> - The name of the property that should be configured</dd>
<dd><code>value</code> - its value in form of an element of an ECore enumerator value</dd>
</dl>
</li>
</ul>
<a name="configureEnumProperty-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureEnumProperty</h4>
<pre>public static&nbsp;void&nbsp;configureEnumProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName,
                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;literalName)</pre>
<div class="block">Configure a property for an enumeration. Enumerations are a bit difficult to handle, since the enumeration literal itself
 must be created first in form of an instance specification.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - The instance of which an attribute should be configured.</dd>
<dd><code>propertyName</code> - The name of the property that should be configured</dd>
<dd><code>value</code> - its value in form of an String. The function does nothing, if no literal corresponds to the passed
            String</dd>
</dl>
</li>
</ul>
<a name="configureEnumProperty-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureEnumProperty</h4>
<pre>public static&nbsp;void&nbsp;configureEnumProperty(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                         org.eclipse.uml2.uml.Property&nbsp;attribute,
                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;literalName)</pre>
</li>
</ul>
<a name="updateInstanceNames-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateInstanceNames</h4>
<pre>public static&nbsp;void&nbsp;updateInstanceNames(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Update the names of instances within a deployment plan to correspond to changes
 in the hierarchy. In particular, flattening of interaction components requires this update.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>composite</code> - System composite</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DepPlanUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DeployConstants.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html" target="_top">Frames</a></li>
<li><a href="DepPlanUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
